Skip to main content
Resource Center/Network Resource/VPC Operations
GETVPC OperationsSince 3.5.1SynchronousAuth Required

QueryVpcHaGroup

QueryVpcHaGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • monitorsListRequired

      See monitors.

      • idLongRequired

        资源ID。

      • vpcHaRouterUuidStringRequired

        No description provided.

      • monitorIpStringRequired

        监控IP。

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

    • vrRefsListRequired

      See vrRefs.

      • uuidStringRequired

        The resource UUID.

      • VpcHaRouterUuidStringRequired

        No description provided.

    • servicesListRequired

      See services.

      • idLongRequired

        资源ID。

      • vpcHaRouterUuidStringRequired

        No description provided.

      • networkServiceNameStringRequired

        No description provided.

      • networkServiceUuidStringRequired

        No description provided.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

    • usedIpsListRequired

      See usedIps.

      • idLongRequired

        资源ID。

      • vpcHaRouterUuidStringRequired

        No description provided.

      • vipUuidStringRequired

        The VIP UUID.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • ipStringRequired

        来源IP地址。

      • netmaskStringRequired

        No description provided.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

GET/zstack/v1/vpc/hagroups

/zstack/v1/vpc/hagroups

Operation ID

QueryVpcHaGroup

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vpc/hagroups' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "843c2f1083d33689b1ecc19bd802158b", "name": "test-vpcha", "monitors": [ { "id": 0.0, "vpcHaRouterUuid": "843c2f1083d33689b1ecc19bd802158b", "monitorIp": "1.1.1.1" } ], "vrRefs": [ { "uuid": "87c3f098d2c7387b867ba0beb5d1a561", "vpcHaRouterUuid": "843c2f1083d33689b1ecc19bd802158b" } ] } ] }

Change History

This API has no change history records yet.

View all change history